# API status codes

## Status codes

The API server responds contain a status code specifying the status of the response. The table below lists all the status codes and messages returned by the API server:

| Code | Message                                         | Explanation                                                                                                                                                                                                                                                                                                                                                                                                             |
| ---- | ----------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 20   | OK                                              | The request was processed successfully. The response might also contain the **data** parameter containing data returned from the server.                                                                                                                                                                                                                                                                                |
| 22   | Maintenance mode                                | The API servers have entered in maintenance mode and cannot complete any requests. In this case you should try again later.                                                                                                                                                                                                                                                                                             |
| 30   | Missing mandatory parameter                     | The request does not contain one or more required parameters. There are at least 3 required parameters for every request: **apiKey**, **signature** and **action**. Other methods may also have extra mandatory parameters. Please check the API Reference for more information.                                                                                                                                        |
| 31   | Requests per second limit exceeded              | There were too many requests per second made with the same API key.                                                                                                                                                                                                                                                                                                                                                     |
| 32   | Requests per minute limit exceeded              | There were too many requests per minute made with the same API key.                                                                                                                                                                                                                                                                                                                                                     |
| 33   | Uploads per month exceeded                      | You have exceeded the maximum number of uploads allowed per month.                                                                                                                                                                                                                                                                                                                                                      |
| 34   | File size too large                             | The file you have uploaded has a size that exceeds the maximum file size allowed. For more information please see the [limitations](/api-limitations.md) imposed by the API.                                                                                                                                                                                                                                            |
| 35   | Flipbook maximum pages number exceeded          | You have uploaded a document that exceeds the maximum of 500 pages allowed. For more information please see the [limitations](/api-limitations.md) imposed by the API.                                                                                                                                                                                                                                                  |
| 36   | Multiple files upload not allowed               | Flipsnack API allows only one file per upload request. Upload requests are made via the [collection.create](/api-reference/api-method-collection.create.md) method.                                                                                                                                                                                                                                                     |
| 37   | Delete flipbook not available for this flipbook | *deprecated*                                                                                                                                                                                                                                                                                                                                                                                                            |
| 38   | Flipbook is in processing state                 | Publishing a flipbook may take a few seconds. You can check the **collectionStatus** at regular intervals (e.g., every few seconds) using the [collection.getCollection](/api-reference/api-method-collection.getcollection.md) method. Continue making requests to [collection.getCollection](/api-reference/api-method-collection.getcollection.md) until the **collectionStatus** has a value other than processing. |
| 40   | Bad request                                     | <ul><li>You made a POST request for an API call that is not uploading files.</li><li>You made a GET request for an API call that uploads files.</li><li>Your request is incorrectly formatted or the URL is invalid.</li></ul>                                                                                                                                                                                          |
| 41   | Invalid credentials                             | The API key provided in the request is invalid.                                                                                                                                                                                                                                                                                                                                                                         |
| 42   | Invalid action                                  | The API method you specified in the request is incorrect. Please see the API Reference for the list of possible methods.                                                                                                                                                                                                                                                                                                |
| 43   | Forbidden                                       | You are not allowed to access the specified flipbook: it has been deleted or the flipbook belongs to another user.                                                                                                                                                                                                                                                                                                      |
| 44   | Invalid signature                               | The signature you provided is incorrect - it does not match the request.                                                                                                                                                                                                                                                                                                                                                |
| 45   | Invalid file format                             | The file you are trying to upload has an incorrect file type. For more information please see the [limitations](/api-limitations.md) imposed by the API.                                                                                                                                                                                                                                                                |
| 46   | Invalid flipbook hash                           | You are trying to access a flipbook that does not exist.                                                                                                                                                                                                                                                                                                                                                                |
| 47   | Invalid flipbook hash                           | You are trying to access a flipbook that does not exist.                                                                                                                                                                                                                                                                                                                                                                |
| 50   | Operation failed                                | An error occurred on the server and the request could not be completed. In this case you should resend the request after a few seconds. If the request still fails after several attempts, please contact us.                                                                                                                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.flipsnack.com/api-status-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
